REFER(1)

NAME
refer - expand and insert references from a bibliographic database

SYNOPSIS
refer [ -ben ] [ -ar ] [ -cstring ] [ -kx ] [ -lm,n ]
[ -p filename ] [ -skeys ] filename...

AVAILABILITY
This command is available with the Text software installation option. Refer to for information on how to install optional software.

DESCRIPTION
refer is a preprocessor for nroff(1), or troff(1), that finds and formats references. The input files (standard input by default) are copied to the standard output, except for lines between `.[' and `.]' command lines, Such lines are assumed to contain keywords as for lookbib(1), and are replaced by information from a bibliographic data base. The user can avoid the search, override fields from it, or add new fields. The reference data, from whatever source, is assigned to a set of troff strings. Macro packages such as ms(7) print the finished reference text from these strings. A flag is placed in the text at the point of reference. By default, the references are indicated by numbers.

When refer is used with eqn(1), neqn, or tbl(1), refer should be used first in the sequence, to minimize the volume of data passed through pipes.

OPTIONS

-b  Bare mode — do not put any flags in text (neither numbers or labels).

-e  Accumulate references instead of leaving the references where encountered, until a sequence of the form:

        .[
        $LIST$
        .]

    is encountered, and then write out all references collected so far. Collapse references to the same source.

-n  Do not search the default file.

-ar Reverse the first r author names (Jones, J. A. instead of J. A. Jones). If r is omitted, all author names are reversed.

-cstring
    Capitalize (with SMALL CAPS) the fields whose key-letters are in string.

-kx Instead of numbering references, use labels as specified in a reference data line beginning with the characters %x; By default, x is L.

-lm,n
    Instead of numbering references, use labels from the senior author's last name and the year of publication. Only the first m letters of the last name and the last n digits of the date are used. If either of m or n is omitted, the entire name or date, respectively, is used.

-p filename
    Take the next argument as a file of references to be searched. The default file is searched last.

-skeys
    Sort references by fields whose key-letters are in the keys string, and permute reference numbers in the text accordingly. Using this option implies the -e option. The key-letters in keys may be followed by a number indicating how many such fields are used, with a + sign taken as a very large number. The default is AD, which sorts on the senior author and date. To sort on all authors and then the date, for instance, use the options `-sA+T'.

FILES
/usr/dict/papers
    directory of default publication lists and indexes
/usr/lib/refer
    directory of programs

SEE ALSO
addbib(1), eqn(1), indxbib(1), lookbib(1), nroff(1), roffbib(1), sortbib(1), tbl(1), troff(1)